=== debian/control ===
Source: ros-foxy-lanelet2-routing
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, ros-foxy-ament-cmake-core, ros-foxy-lanelet2-core, ros-foxy-lanelet2-traffic-rules, ros-foxy-mrt-cmake-modules, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-lanelet2-routing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-lanelet2-core, ros-foxy-lanelet2-traffic-rules, ros-foxy-mrt-cmake-modules, ros-foxy-ros-workspace
Description: Routing module for lanelet2
